# ozlem cetinoglu - 03 march 2016
# convert the tab format into columns
#
# and anonymise usernames and urls in the meanwhile
# usage:
# perl convert_tab_to_col.pl -i all_cs_idtweet_norm.tab -o all_cs_idtweet_norm.col

use strict;
use Getopt::Std ;

use utf8;	# utf8 in the code
use open ':encoding(utf8)';
binmode STDERR,":encoding(utf8)";
binmode STDOUT,":encoding(utf8)";
binmode STDIN,":encoding(utf8)";


my ($usage) = <<EOT

  perl convert_tab_to_col.pl -i <tabFile> -o <colFile>
  	-h : help:		print this help text and exit
EOT
;


getopts('i:o:h');
our($opt_i, $opt_o, $opt_h);

((defined $opt_h) or (! defined $opt_i) or (! defined $opt_o)) and die $usage ;

my $inFile = $opt_i;
my $outFile = $opt_o;


open INFILE, "$inFile" or die "cannot open $inFile: $!\n";
open OUTFILE, ">$outFile" or die "cannot open $outFile: $!\n";

while (<INFILE>){
	chomp();
	my ($tweetID, $tweet) = split(/\t/);
	my @tokens = split(/ /, $tweet);
	foreach my $token (@tokens){
		$token =~ s/^\@.+/\@username/g;
 		$token =~ s/^http.*/[url]/g;
		print OUTFILE "$tweetID\t$token\n";
	}
	print OUTFILE "\n";
}

close INFILE;
close OUTFILE;



